package de.subway_surfers.vpr_app;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.paint.Color;

public class ErsteLoginViewController {
	@FXML
	private Label text;
	@FXML
	private TextField passwort;
	@FXML
	private TextField bpasswort;
	@FXML
	private Label fehlertext;
	private String benutzername;
	public void initialize(){
		benutzername = "Test";
		text.setText("Willkommen, "+benutzername+"\n\nUm Sie und Ihre Kinder zu schützen, bitten wir Sie darum Ihr Einmalpasswort zu ändern.");
	}

	public void onAbmelden(ActionEvent actionEvent) {
		VerwaltungApplication.abmelden();
	}

	public void onbestaetigen(ActionEvent actionEvent) {
		if(passwort.getText().equals(bpasswort.getText())){

		}
		else{
			fehlertext.setText("Die Eingaben müssen identisch sein");
			fehlertext.setTextFill(Color.color(1, 0, 0));
		}
	}

}
